# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "alat-rs"
version = "0.2.2"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Unofficial, type-safe, async Rust client for the ALAT by Wema banking APIs"
homepage = "https://github.com/McEazy2700/alat-rs"
documentation = "https://docs.rs/alat-rs"
readme = "README.md"
keywords = [
    "alat",
    "wema",
    "banking",
    "fintech",
    "nigeria",
]
categories = ["api-bindings"]
license = "MIT"
repository = "https://github.com/McEazy2700/alat-rs"

[lib]
name = "alat"
path = "src/lib.rs"

[[test]]
name = "sdk_tests"
path = "tests/sdk_tests.rs"

[dependencies.hex]
version = "0.4"

[dependencies.hmac]
version = "0.12"

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "rustls-tls",
]
default-features = false

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.sha2]
version = "0.10"

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1.0"
features = [
    "macros",
    "rt-multi-thread",
]
